Bug 66542

Summary: [EFL] Rename ewk_view_(single|tiled).c to ewk_view_(single|tiled).cpp
Product: WebKit Reporter: Ryuan Choi <ryuan.choi>
Component: WebKit EFLAssignee: Ryuan Choi <ryuan.choi>
Status: RESOLVED FIXED    
Severity: Normal CC: gyuyoung.kim, leandro, lucas.de.marchi, rakuco, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
comment_changed
none
rebased none

Description Ryuan Choi 2011-08-18 23:33:59 PDT
It's discussed in https://lists.webkit.org/pipermail/webkit-efl/2011-August/thread.html

In short,

ewk_view_single.c and ewk_view_tiled.c should include ewk_private.h to remove warning,
but they can't because their extension are ".c" and ewk_private.h contains WebCore namespace.
Comment 1 Ryuan Choi 2011-08-19 00:01:01 PDT
Created attachment 104468 [details]
Patch
Comment 2 Leandro Pereira 2011-08-19 10:11:49 PDT
Comment on attachment 104468 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=104468&action=review

> Source/WebKit/efl/ChangeLog:9
> +        Rename c files to cpp and include ewk_private.h to remove warning in compile time.
> +        It's because these files require ewk_repaint_add which is in ewk_private.h.
> +        However these files can't include ewk_private.h because of some functions containing
> +        namespace.

Informal r+ -- I'd just change the above to something along the lines of "Use a C++ compiler for these files, so that they can include the C++-using ewk_private.h."
Comment 3 Ryuan Choi 2011-08-21 18:16:17 PDT
Created attachment 104635 [details]
comment_changed
Comment 4 Ryuan Choi 2011-09-04 18:14:11 PDT
Created attachment 106298 [details]
rebased
Comment 5 Daniel Bates 2011-09-04 20:09:37 PDT
Comment on attachment 106298 [details]
rebased

r=me
Comment 6 Ryuan Choi 2011-09-04 20:18:11 PDT
Comment on attachment 106298 [details]
rebased

Thank you.
Comment 7 WebKit Review Bot 2011-09-04 21:17:11 PDT
Comment on attachment 106298 [details]
rebased

Clearing flags on attachment: 106298

Committed r94509: <http://trac.webkit.org/changeset/94509>
Comment 8 WebKit Review Bot 2011-09-04 21:17:17 PDT
All reviewed patches have been landed.  Closing bug.